# SwitchInlineQueryInlineKeyboardButton - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.buttons.InlineKeyboardButtons / SwitchInlineQueryInlineKeyboardButton

# SwitchInlineQueryInlineKeyboardButton

(common) `data class SwitchInlineQueryInlineKeyboardButton : InlineKeyboardButton` (source)

### Constructors

(common)

#### <init>

`SwitchInlineQueryInlineKeyboardButton(text: String, switchInlineQuery: String)`

### Properties

(common)

#### switchInlineQuery

`val switchInlineQuery: String`

(common)

#### text

`val text: String`